<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/

include("includes.php");

include("header.php");

// Statistics

// asset
$sth = $dbh->query("SELECT COUNT(asset_id) AS asset_counter FROM asset");
$smarty->assign("asset_counter", $sth->fetchColumn());

// location
$sth = $dbh->query("SELECT COUNT(location_id) AS location_counter FROM location");
$smarty->assign("location_counter", $sth->fetchColumn());

// node
$sth = $dbh->query("SELECT COUNT(node_id) AS node_counter FROM node");
$smarty->assign("node_counter", $sth->fetchColumn());

// subnet
$sth = $dbh->query("SELECT COUNT(subnet_id) AS subnet_counter FROM subnet");
$smarty->assign("subnet_counter", $sth->fetchColumn());

//  vlan
$sth = $dbh->query("SELECT COUNT(vlan_id) AS vlan_counter FROM vlan");
$smarty->assign("vlan_counter", $sth->fetchColumn());

// zone
$sth = $dbh->query("SELECT COUNT(zone_id) AS zone_counter FROM zone");
$smarty->assign("zone_counter", $sth->fetchColumn());

$smarty->display("index.tpl");

include("footer.php");
?>
