<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/

include("includes.php");
	
include("header.php");
	
$sql = "SELECT n.nat_id AS id, n.nat_type, n.nat_ext, n.nat_int,
            n.nat_ext_port AS port_ext, n.nat_int_port AS port_int,
            n.nat_description AS description,
            n1.node_ip AS node_ip_int, n2.node_ip AS node_ip_ext
	FROM nat AS n
	    LEFT JOIN node AS n1 ON (n.nat_int=n1.node_id)
	    LEFT JOIN node AS n2 ON (n.nat_ext=n2.node_id)
	ORDER BY INET_ATON(nat_ext)";
$sth = $dbh->query($sql);
$smarty->assign("nats", $sth->fetchAll());

$smarty->display("nat.tpl");

include("footer.php");
?>
