<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/
	
include("includes.php");
		
$zone_id = sanitize($_GET['zone_id']);

include("header.php");
$sql = "SELECT zone_id, zone_soa, zone_hostmaster, zone_origin, zone_ttl_default,
            zone_refresh, zone_retry, zone_expire, zone_ttl, zone_serial,
            zone_ns1, zone_ns2, zone_ns3, zone_mx1, zone_mx2, zone_info
        FROM zone
        WHERE zone_id=?";
$sth = $dbh->prepare($sql);
$sth->execute([$zone_id]);
$smarty->assign("zone", $sth->fetch(PDO::FETCH_OBJ));

$smarty->display("zoneedit.tpl");

include("footer.php");
?>
