<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/
	
include("includes.php");
include("header.php");
			
$sql = "SELECT c.assetclass_id AS id, c.assetclass_name AS name, c.assetclassgroup_id AS group_id,
            g.assetclassgroup_name AS group_name, g.assetclassgroup_color AS color,
            COUNT(a.asset_id) AS count_asset
        FROM assetclass AS c
            LEFT JOIN assetclassgroup AS g USING (assetclassgroup_id)
            LEFT JOIN asset AS a USING (assetclass_id)
        GROUP BY id, name, group_id, group_name, color
        ORDER BY c.assetclass_name";
$sth = $dbh->query($sql);
$smarty->assign("assetclasses", $sth->fetchAll(PDO::FETCH_ASSOC));

$smarty->display("assetclass.tpl");

include("footer.php");
?>
