<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/

include("includes.php");
include("header.php");
	
$sql = "SELECT g.assetclassgroup_id AS id, g.assetclassgroup_name AS name,
            g.assetclassgroup_color AS color, g.assetclassgroup_description AS description,
            COUNT(c.assetclass_id) AS count_class
        FROM assetclassgroup AS g LEFT JOIN assetclass AS c USING (assetclassgroup_id)
        GROUP BY id, name, color, description
        ORDER BY g.assetclassgroup_name";
$sth = $dbh->query($sql);
$smarty->assign('assetclassgroups', $sth->fetchAll(PDO::FETCH_ASSOC));

$smarty->display("assetclassgroup.tpl");
		
include("footer.php");
?>
