<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/

include("includes.php");

$assetclassgroup_id = sanitize($_GET['assetclassgroup_id']);

include("header.php");

$sql = "SELECT assetclassgroup_id AS id, assetclassgroup_name AS name
        FROM assetclassgroup
        WHERE assetclassgroup_id=?";
$sth = $dbh->prepare($sql);
$sth->execute([$assetclassgroup_id]);
$smarty->assign("assetclassgroup", $sth->fetch(PDO::FETCH_OBJ));

$smarty->display("assetclassgroupdel.tpl");

include("footer.php");
?>
