<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/

include("includes.php");
include("header.php");

$sql = "SELECT vlan_id AS id, vlan_number AS number, vlan_name AS name,
            vlan_color AS color, LEFT(vlan_info, 60) AS info
        FROM vlan
        ORDER BY vlan_number";
$sth = $dbh->query($sql);
$smarty->assign("vlans", $sth->fetchAll());

$smarty->display("vlan.tpl");

include("footer.php");
?>
